<template>
    <Page>
        <ActionBar class="header">
            <StackLayout>
                <FlexboxLayout
                    flexDirection="row"
                    justifyContent="space-between" class="navbar">
                    <Image
                        src="~/assets/images/menu.png"
                        class="menu"
                        stretch="fill"
                        @tap="$refs.drawer.nativeView.showDrawer()"
                    ></Image>
                    <Image
                        src="~/assets/images/logo.png"
                        class="logo"
                        stretch="fill"
                    ></Image>
                    <Image
                        src="~/assets/images/cloche.png"
                        class="bell"
                        stretch="fill"
                    ></Image>
                </FlexboxLayout>
            </StackLayout>
        </ActionBar>

        <RadSideDrawer ref="drawer">
            <StackLayout ~drawerContent backgroundColor="#ffffff">
                <DrawerContent/>
            </StackLayout>

            <StackLayout ~mainContent>
                <Label class="title">Rechercher un logement</Label>
                <FlexboxLayout flexDirection="column" class="search">
                    <FlexboxLayout flexDirection="row" class="search">
                        <TextField class="search-bar" :text="search" hint="Mots-clés"/>
                        <Button text="Rechercher" class="search-button"/>
                    </FlexboxLayout>
                    <FlexboxLayout flexDirection="row" class="search">
                        <Button text="Dates" @tap="showModal()" class="search-date"/>
                        <TextField class="search-lieu" :text="search" hint="Lieu"/>
                        <Label text="Critères" @tap="criteriaButton()" class="button-map-content"/>
                    </FlexboxLayout>
                </FlexboxLayout>
                <StackLayout v-if="criteriaMenu">
                    <ListView for="crit in criterias">
                        <v-template>
                            <StackLayout :key="crit.id">
                                <Label :text="crit.titre"/>
                                <Switch v-model="crit.bool"/>
                            </StackLayout>
                        </v-template>
                    </ListView>
                </StackLayout>
                <FlexboxLayout flexDirection="column" class="full-height">
                    <ListView for="item in listOfItems">
                        <v-template>
                            <FlexboxLayout flexDirection="row" class="annonce" @Tap="goToPage(item.adv_id)">
                                <Image
                                    src="~/assets/images/maison.png"
                                    class="img-annonce"
                                    stretch="fill"
                                ></Image>
                                <FlexboxLayout flexDirection="column" class="annonce-content">
                                    <Label class="titre-annonce" textWrap="true" :text="item.adv_name"/>
                                    <Label class="tag-annonce" textWrap="true" :text="item.adv_type"/>
                                    <Label class="address-annonce" textWrap="true"
                                           :text="item.adv_adress"/>
                                    <Label class="address-annonce" textWrap="true"
                                           :text="item.adv_postal + ' ' + item.adv_city"/>
                                    <Label textWrap="true" class="reserv-annonce" :text="item.adv_price + ' €/jour'"/>

                                </FlexboxLayout>
                            </FlexboxLayout>
                        </v-template>
                    </ListView>
                </FlexboxLayout>
            </StackLayout>
        </RadSideDrawer>
    </Page>
</template>

<script>
import DrawerContent from "./DrawerContent";
import DatePicker from "./DatePicker";
import {Http} from "@nativescript/core";

export default {
    components: {
        DrawerContent,
    },
    data() {
        return {
            criteriaMenu: false,
            currentDate: null,
            listOfItems: [],
            criterias: [
                {
                    titre: "Proche de la mer",
                },
                {
                    titre: "Proche de la mer",
                },
                {
                    titre: "Proche de la mer",
                },
                {
                    titre: "Proche de la mer",
                },
                {
                    titre: "Proche de la mer",
                }
            ]
        };
    },
    mounted() {
        this.getAdverts()
    },
    methods: {
        criteriaButton() {
            this.criteriaMenu = !this.criteriaMenu;
        },
        goToPage(id) {
            this.$navigateTo(this.$routes.DetailsHouse, {
                props: {
                    idAdvert: id,
                }
            });
        },
        showModal() {
            this.$showModal(DatePicker);
        },
        async getAdverts() {
            const response = await Http.request({
                url: "https://api.atypikhouse.art/getAdvertByTimestamp",
                method: "POST",
                headers: {
                    "Content-Type": "application/json",
                    "Access-Control-Allow-Origin": "*",
                },
                content: JSON.stringify({
                    page: 10
                }),
            })
            var result = response.content.toJSON();
            for (let advert in result.advertByTimestamp) {
                this.listOfItems.push(result.advertByTimestamp[advert]);
            }
        }
    },
};
</script>

<style scoped>
.header {
    background-image: url("~/assets/images/header.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
}

.navbar {
    height: 120;
    width: 100%;
    padding-top: 30;
}

.menu {
    text-align: left;
    width: 40;
    margin-top: 13vh;
    margin-bottom: 40vh;
}

.logo {
    width: 70;
    height: 90px;
    margin-bottom: 20vh;
    justify-self: center;
}

.bell {
    text-align: right;
    width: 40vw;
    margin-top: 13vh;
    margin-bottom: 40vh;
    margin-right: 10;
}

.full-height {
    height: 100%;
    margin-left: 20vw;
    margin-right: 20vw;
}

.title {
    text-align: center;
    font-size: 25px;
    color: #2d2d2d;
    margin-bottom: 20;
    margin-top: 20;
}

.search-bar {
    background: #d7d7d7;
    color: #575757;
    border-radius: 10;
    width: 70%;
    margin: 20 5 20 20;
    height: 10;
}

.search-date {
    background: #d7d7d7;
    text-transform: capitalize;
    text-align: left;
    border-radius: 10;
    width: 30%;
    margin: 5 5 20 20;
    color: #575757;
    padding-left: 15;
    padding-right: 15;
    padding-top: 10;
    font-size: 18;
}

.search-lieu {
    background: #d7d7d7;
    border-radius: 10;
    width: 20%;
    margin: 5 5 20 5;
    color: #575757;
    padding-left: 15;
    padding-right: 15;
    padding-top: 10;
    font-size: 18;
}

.button-map-content {
    color: #575757 !important;
    padding-left: 15;
    padding-top: 10;
    background: #d7d7d7;
    border-radius: 10;
    width: 25%;
    margin: 5 5 20 5;
    font-size: 18;
}

.search-button {
    margin: 20 20 20 5;
    width: 40%;
    border: 5px solid #2d2d2d;
    box-sizing: border-box;
    color: #2d2d2d;
    background-color: white;
    border-color: #7d7d7d;
    border-width: 1;
    border-radius: 10;
    text-transform: uppercase;
    letter-spacing: 0.1;
    font-size: 10;
}

.annonce {
    padding-top: 10;
    padding-bottom: 10;
    border-bottom-color: #7d7d7d;
    border-bottom-width: 2;
}

.img-annonce {
    width: 100;
    margin-right: 20;
}

.titre-annonce {
    font-size: 16px;
    color: #2d2d2d;
}

.address-annonce {
    font-size: 14px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
}

.reserv-annonce {
    font-size: 14px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
}

.tag-annonce {
    font-size: 12px;
    text-align: left;
    color: #339e33;
    padding: 3 2;
}
</style>
